Subject: Re: bug#16368: [PATCH] cperl-mode: don't freeze over a cool regexp

From: Stefan Kangas <[email-masked]>
Date: Thu, 3 Sep 2020 02:58:40 -0700

Harald Jörg <[email-masked]> writes:

> I'd say this is desired behavior.

OK, thanks.  Your explanation sounds good to me.

> I can only guess that the first part of the message (which starts with
> "cperl-forward-group-in-re") was added out of frustration: The bug
> prevented the second part of the message (without
> "cperl-forward-group-in-re") from ever appearing.  Only this wasn't
> fatal unless... there was this closing brace two characters before.
> I'll check that, and prepare an updated patch if that's true.

Sounds good.

> No problem, I'll do so.  I thought I was supposed to create the commit
> messages with C-x 4 a, but probably I misunderstood and should have
> post-processed that text in the first place.

I always use C-x 4 a, and then delete the spacing to the left.

> Hm. That should rather be _moving_ that line to the top?

Ah, right.  Yup, that sounds good.